VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ImageFormatListCreateInfoKHR (uint32_t viewFormatCount_=0, const Format *pViewFormats_=nullptr)
| ImageFormatListCreateInfoKHR (VkImageFormatListCreateInfoKHR const &rhs)
ImageFormatListCreateInfoKHR & | operator= (VkImageFormatListCreateInfoKHR const &rhs)
ImageFormatListCreateInfoKHR & | setPNext (const void *pNext_)
ImageFormatListCreateInfoKHR & | setViewFormatCount (uint32_t viewFormatCount_)
ImageFormatListCreateInfoKHR & | setPViewFormats (const Format *pViewFormats_)
| operator VkImageFormatListCreateInfoKHR const & () const
| operator VkImageFormatListCreateInfoKHR & ()
bool | operator== (ImageFormatListCreateInfoKHR const &rhs) const
bool | operator!= (ImageFormatListCreateInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | viewFormatCount
const Format * | pViewFormats

## Private Attributes

StructureType | sType = StructureType::eImageFormatListCreateInfoKHR

## Detailed Description

Definition at line 17044 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageFormatListCreateInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::ImageFormatListCreateInfoKHR | ( | uint32_t | viewFormatCount_ = `0`,
|  | const Format * | pViewFormats_ = `nullptr`
| ) |  |

inline

Definition at line 17046 of file vulkan.hpp.

: viewFormatCount( viewFormatCount_ )
, pViewFormats( pViewFormats_ )
{
}

## ImageFormatListCreateInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::ImageFormatListCreateInfoKHR | ( | VkImageFormatListCreateInfoKHR const & | rhs | ) |

inline

Definition at line 17053 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageFormatListCreateInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageFormatListCreateInfoKHR &()

VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator VkImageFormatListCreateInfoKHR & | ( |  | ) |

inline

Definition at line 17086 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageFormatListCreateInfoKHR*>(this);
}

## operator VkImageFormatListCreateInfoKHR const &()

VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator VkImageFormatListCreateInfoKHR const & | ( |  | ) | const

inline

Definition at line 17081 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageFormatListCreateInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator!= | ( | ImageFormatListCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 17099 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageFormatListCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator= | ( | VkImageFormatListCreateInfoKHR const & | rhs | ) |

inline

Definition at line 17058 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageFormatListCreateInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator== | ( | ImageFormatListCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 17091 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( viewFormatCount == rhs.viewFormatCount )
&& ( pViewFormats == rhs.pViewFormats );
}

References pNext, pViewFormats, sType, and viewFormatCount.

Referenced by operator!=().

## setPNext()

ImageFormatListCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 17063 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPViewFormats()

ImageFormatListCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::setPViewFormats | ( | const Format * | pViewFormats_ | ) |

inline

Definition at line 17075 of file vulkan.hpp.

{
pViewFormats = pViewFormats_;
return *this;
}

References pViewFormats.

## setViewFormatCount()

ImageFormatListCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::setViewFormatCount | ( | uint32_t | viewFormatCount_ | ) |

inline

Definition at line 17069 of file vulkan.hpp.

{
viewFormatCount = viewFormatCount_;
return *this;
}

References viewFormatCount.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::pNext = nullptr

Definition at line 17108 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pViewFormats

const Format* VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::pViewFormats

Definition at line 17110 of file vulkan.hpp.

Referenced by operator==(), and setPViewFormats().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::sType = StructureType::eImageFormatListCreateInfoKHR

private

Definition at line 17105 of file vulkan.hpp.

Referenced by operator==().

## viewFormatCount

uint32_t VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::viewFormatCount

Definition at line 17109 of file vulkan.hpp.

Referenced by operator==(), and setViewFormatCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::ImageFormatListCreateInfoKHR
ImageFormatListCreateInfoKHR(uint32_t viewFormatCount_=0, const Format *pViewFormats_=nullptr)
Definition: vulkan.hpp:17046
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::pViewFormats
const Format * pViewFormats
Definition: vulkan.hpp:17110
VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::viewFormatCount
uint32_t viewFormatCount
Definition: vulkan.hpp:17109
VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:17105
VkImageFormatListCreateInfoKHR
Definition: vulkan_core.h:5939
VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::operator==
bool operator==(ImageFormatListCreateInfoKHR const &rhs) const
Definition: vulkan.hpp:17091
VULKAN_HPP_NAMESPACE::ImageFormatListCreateInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:17108